import { StatsContext } from '@segment/actions-core';
import { Payload } from '../generated-types';
import { AssociationPayload } from '../types';
export declare function validate(payloads: Payload[], flag?: boolean): Payload[];
export declare function mergeAndDeduplicateById(payloads: Payload[], statsContext?: StatsContext): Payload[];
export declare function ensureValidTimestamps(payloads: Payload[], rawData?: Payload[]): Payload[];
export declare function deDuplicateAssociations(associationGroups: AssociationPayload[][]): AssociationPayload[][];
